Bug 338208 - KMail always uses "example" message theme on start
Summary: KMail always uses "example" message theme on start
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: UI (show other bugs)
Version: unspecified
Platform: Kubuntu Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-12 06:59 UTC by Adrian Piotrowicz
Modified: 2014-08-19 07:35 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.14.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adrian Piotrowicz 2014-08-12 06:59:12 UTC
Each time I'm starting KMail it uses "example" messageviewer theme to display message.
It happens also while starting KMail as Kontact part.

Changing setting in View -> Headers works only for session.

Changing configuration file entry "grantlee-mail-theme-name" doesn't work at all.
In both files (kmail2rc, kontactrc) falls back to "example" upon start KMail start.
Bug was present in version 4.13.3.
I'm currently on 4.13.97.
Comment 1 mau 2014-08-18 13:42:22 UTC
Same here, letter-head not working anymore :-(
Debian Testing, KDEPIM 4.13.3
Comment 2 Laurent Montel 2014-08-19 07:21:16 UTC
So you have two grantlee theme and it doesn't work ?
Comment 3 Adrian Piotrowicz 2014-08-19 07:32:28 UTC
Actually I've got only letter-head installed additionally.
However there are to additional themes in /usr/share/kde4/apps/messageviewer/themes/
Those are "example" and "example_fancy". If I choose any of those (example, example_fancy, letterhead), after closing, KMail starts with "example" being marked as used.
It doesn't happen if I'm choosing any of built-in themes.
Comment 4 Laurent Montel 2014-08-19 07:35:42 UTC
Git commit a11ee24ff3d129475d8b6268646939051186b3c3 by Montel Laurent.
Committed on 19/08/2014 at 07:35.
Pushed by mlaurent into branch 'KDE/4.14'.

Fix Bug 338208 - KMail always uses "example" message theme on start

FIXED-IN: 4.14.1

M  +1    -1    grantleetheme/grantleethememanager.cpp

http://commits.kde.org/kdepim/a11ee24ff3d129475d8b6268646939051186b3c3